%define		kframever	6.14.0
%define		qtver		6.9.1
%define		kaname		wacomtablet
Summary:	Wacom tablet manager
Name:		kp6-%{kaname}
Version:	6.3.5
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications
Source0:	http://download.kde.org/stable/plasma/%{version}/%{kaname}-%{version}.tar.xz
# Source0-md5:	fd5412466537265869966bba3677062d
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	cmake >= 3.31.0
BuildRequires:	cups-devel
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= %{kframever}
BuildRequires:	kf6-kcmutils-devel >= %{kframever}
BuildRequires:	kf6-kconfig-devel >= %{kframever}
BuildRequires:	kf6-kconfigwidgets-devel >= %{kframever}
BuildRequires:	kf6-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf6-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf6-kglobalaccel-devel >= %{kframever}
BuildRequires:	kf6-ki18n-devel >= %{kframever}
BuildRequires:	kf6-kiconthemes-devel >= %{kframever}
BuildRequires:	kf6-kio-devel >= %{kframever}
BuildRequires:	kf6-kirigami-devel >= %{kframever}
BuildRequires:	kf6-knotifications-devel >= %{kframever}
BuildRequires:	kf6-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf6-kwindowsystem-devel >= %{kframever}
BuildRequires:	kp6-libplasma-devel >= %{version}
BuildRequires:	kp6-plasma5support-devel >= %{version}
BuildRequires:	libwacom-devel
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-driver-input-wacom-devel
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A tool for managing Wacom tablet settings.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kde_wacom_tabletfinder
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kded/wacomtablet.so
%attr(755,root,root) %{_libdir}/qt6/plugins/plasma/kcms/systemsettings_qwidgets/kcm_wacomtablet.so
%attr(755,root,root) %{_libdir}/qt6/plugins/plasma5support/dataengine/plasma_engine_wacomtablet.so
%dir %{_datadir}/wacomtablet
%{_datadir}/wacomtablet/*
%{_desktopdir}/kcm_wacomtablet.desktop
%{_desktopdir}/kde_wacom_tabletfinder.desktop
%{_datadir}/knotifications6/wacomtablet.notifyrc
%{_datadir}/metainfo/org.kde.plasma.wacomtablet.appdata.xml
%{_datadir}/metainfo/org.kde.wacomtablet.metainfo.xml
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.wacomtablet
%{_datadir}/plasma/plasmoids/org.kde.plasma.wacomtablet/*
%{_datadir}/plasma5support/services/wacomtablet.operations
%{_datadir}/dbus-1/interfaces/org.kde.Wacom.xml
%dir %{_docdir}/HTML/*/kcontrol/wacomtablet/
%{_docdir}/HTML/*/kcontrol/wacomtablet/*
%{_datadir}/qlogging-categories6/wacomtablet.categories
%changelog
* Sat Jul 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-wacomtablet.git;a=log;h=master

* Wed Jun 18 2025 Łukasz Maśko <lmasko@pld-linux.org> e3fee73
- Initial version. Most probably needs fixes.

